# Source code for azure.mgmt.apimanagement.models.request_contract_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class RequestContract(Model):
        """Operation request details.

        :param description: Operation request description.
        :type description: str
        :param query_parameters: Collection of operation request query parameters.
        :type query_parameters:
         list[~azure.mgmt.apimanagement.models.ParameterContract]
        :param headers: Collection of operation request headers.
        :type headers: list[~azure.mgmt.apimanagement.models.ParameterContract]
        :param representations: Collection of operation request representations.
        :type representations:
         list[~azure.mgmt.apimanagement.models.RepresentationContract]
        """

        _attribute_map = {
            'description': {'key': 'description', 'type': 'str'},
            'query_parameters': {'key': 'queryParameters', 'type': '[ParameterContract]'},
            'headers': {'key': 'headers', 'type': '[ParameterContract]'},
            'representations': {'key': 'representations', 'type': '[RepresentationContract]'},
        }

        def __init__(self, *, description: str=None, query_parameters=None, headers=None, representations=None, **kwargs) -> None:
            super(RequestContract, self).__init__(**kwargs)
            self.description = description
            self.query_parameters = query_parameters
            self.headers = headers
            self.representations = representations